gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.Inscription

Contents

- Exported types
- Methods
  - getAttributes
  - getMinChars
  - getMinLines
  - getNatChars
  - getNatLines
  - getText
  - getTextOverflow
  - getWrapMode
  - getXalign
  - getYalign
  - new
  - setAttributes
  - setMarkup
  - setMinChars
  - setMinLines
  - setNatChars
  - setNatLines
  - setText
  - setTextOverflow
  - setWrapMode
  - setXalign
  - setYalign
- Properties
  - attributes
  - markup
  - minChars
  - minLines
  - natChars
  - natLines
  - text
  - textOverflow
  - wrapMode
  - xalign
  - yalign

Description

Shows text in a predefined area.

You likely want to use `GtkLabel` instead as this widget is intended only for a small subset of use cases. The main scenario envisaged is inside lists such as `GtkColumnView`.

While a `GtkLabel` sizes itself depending on the text that is displayed, `GtkInscription` is given a size and inscribes the given text into that space as well as it can.

Users of this widget should take care to plan behaviour for the common case where the text doesn't fit exactly in the allocated space.

## CSS nodes

`GtkInscription` has a single CSS node with the name label.

Since: 4.8

Synopsis

- newtype Inscription = Inscription (ManagedPtr Inscription)
- class (GObject o, IsDescendantOf Inscription o) => IsInscription o
- toInscription :: (MonadIO m, IsInscription o) => o -> m Inscription
- inscriptionGetAttributes :: (HasCallStack, MonadIO m, IsInscription a) => a -> m (Maybe AttrList)
- inscriptionGetMinChars :: (HasCallStack, MonadIO m, IsInscription a) => a -> m Word32
- inscriptionGetMinLines :: (HasCallStack, MonadIO m, IsInscription a) => a -> m Word32
- inscriptionGetNatChars :: (HasCallStack, MonadIO m, IsInscription a) => a -> m Word32
- inscriptionGetNatLines :: (HasCallStack, MonadIO m, IsInscription a) => a -> m Word32
- inscriptionGetText :: (HasCallStack, MonadIO m, IsInscription a) => a -> m (Maybe Text)
- inscriptionGetTextOverflow :: (HasCallStack, MonadIO m, IsInscription a) => a -> m InscriptionOverflow
- inscriptionGetWrapMode :: (HasCallStack, MonadIO m, IsInscription a) => a -> m WrapMode
- inscriptionGetXalign :: (HasCallStack, MonadIO m, IsInscription a) => a -> m Float
- inscriptionGetYalign :: (HasCallStack, MonadIO m, IsInscription a) => a -> m Float
- inscriptionNew :: (HasCallStack, MonadIO m) => Maybe Text -> m Inscription
- inscriptionSetAttributes :: (HasCallStack, MonadIO m, IsInscription a) => a -> Maybe AttrList -> m ()
- inscriptionSetMarkup :: (HasCallStack, MonadIO m, IsInscription a) => a -> Maybe Text -> m ()
- inscriptionSetMinChars :: (HasCallStack, MonadIO m, IsInscription a) => a -> Word32 -> m ()
- inscriptionSetMinLines :: (HasCallStack, MonadIO m, IsInscription a) => a -> Word32 -> m ()
- inscriptionSetNatChars :: (HasCallStack, MonadIO m, IsInscription a) => a -> Word32 -> m ()
- inscriptionSetNatLines :: (HasCallStack, MonadIO m, IsInscription a) => a -> Word32 -> m ()
- inscriptionSetText :: (HasCallStack, MonadIO m, IsInscription a) => a -> Maybe Text -> m ()
- inscriptionSetTextOverflow :: (HasCallStack, MonadIO m, IsInscription a) => a -> InscriptionOverflow -> m ()
- inscriptionSetWrapMode :: (HasCallStack, MonadIO m, IsInscription a) => a -> WrapMode -> m ()
- inscriptionSetXalign :: (HasCallStack, MonadIO m, IsInscription a) => a -> Float -> m ()
- inscriptionSetYalign :: (HasCallStack, MonadIO m, IsInscription a) => a -> Float -> m ()
- clearInscriptionAttributes :: (MonadIO m, IsInscription o) => o -> m ()
- constructInscriptionAttributes :: (IsInscription o, MonadIO m) => AttrList -> m (GValueConstruct o)
- getInscriptionAttributes :: (MonadIO m, IsInscription o) => o -> m (Maybe AttrList)
- setInscriptionAttributes :: (MonadIO m, IsInscription o) => o -> AttrList -> m ()
- clearInscriptionMarkup :: (MonadIO m, IsInscription o) => o -> m ()
- constructInscriptionMarkup :: (IsInscription o, MonadIO m) => Text -> m (GValueConstruct o)
- setInscriptionMarkup :: (MonadIO m, IsInscription o) => o -> Text -> m ()
- constructInscriptionMinChars :: (IsInscription o, MonadIO m) => Word32 -> m (GValueConstruct o)
- getInscriptionMinChars :: (MonadIO m, IsInscription o) => o -> m Word32
- setInscriptionMinChars :: (MonadIO m, IsInscription o) => o -> Word32 -> m ()
- constructInscriptionMinLines :: (IsInscription o, MonadIO m) => Word32 -> m (GValueConstruct o)
- getInscriptionMinLines :: (MonadIO m, IsInscription o) => o -> m Word32
- setInscriptionMinLines :: (MonadIO m, IsInscription o) => o -> Word32 -> m ()
- constructInscriptionNatChars :: (IsInscription o, MonadIO m) => Word32 -> m (GValueConstruct o)
- getInscriptionNatChars :: (MonadIO m, IsInscription o) => o -> m Word32
- setInscriptionNatChars :: (MonadIO m, IsInscription o) => o -> Word32 -> m ()
- constructInscriptionNatLines :: (IsInscription o, MonadIO m) => Word32 -> m (GValueConstruct o)
- getInscriptionNatLines :: (MonadIO m, IsInscription o) => o -> m Word32
- setInscriptionNatLines :: (MonadIO m, IsInscription o) => o -> Word32 -> m ()
- clearInscriptionText :: (MonadIO m, IsInscription o) => o -> m ()
- constructInscriptionText :: (IsInscription o, MonadIO m) => Text -> m (GValueConstruct o)
- getInscriptionText :: (MonadIO m, IsInscription o) => o -> m (Maybe Text)
- setInscriptionText :: (MonadIO m, IsInscription o) => o -> Text -> m ()
- constructInscriptionTextOverflow :: (IsInscription o, MonadIO m) => InscriptionOverflow -> m (GValueConstruct o)
- getInscriptionTextOverflow :: (MonadIO m, IsInscription o) => o -> m InscriptionOverflow
- setInscriptionTextOverflow :: (MonadIO m, IsInscription o) => o -> InscriptionOverflow -> m ()
- constructInscriptionWrapMode :: (IsInscription o, MonadIO m) => WrapMode -> m (GValueConstruct o)
- getInscriptionWrapMode :: (MonadIO m, IsInscription o) => o -> m WrapMode
- setInscriptionWrapMode :: (MonadIO m, IsInscription o) => o -> WrapMode -> m ()
- constructInscriptionXalign :: (IsInscription o, MonadIO m) => Float -> m (GValueConstruct o)
- getInscriptionXalign :: (MonadIO m, IsInscription o) => o -> m Float
- setInscriptionXalign :: (MonadIO m, IsInscription o) => o -> Float -> m ()
- constructInscriptionYalign :: (IsInscription o, MonadIO m) => Float -> m (GValueConstruct o)
- getInscriptionYalign :: (MonadIO m, IsInscription o) => o -> m Float
- setInscriptionYalign :: (MonadIO m, IsInscription o) => o -> Float -> m ()

# Exported types

newtype Inscription Source #

Memory-managed wrapper type.

Constructors

Inscription (ManagedPtr Inscription) |

#### Instances

Instances details

Eq Inscription Source # |
Instance details Defined in GI.Gtk.Objects.Inscription Methods (==) :: Inscription -> Inscription -> Bool Source # (/=) :: Inscription -> Inscription -> Bool Source #
GObject Inscription Source # |
Instance details Defined in GI.Gtk.Objects.Inscription
ManagedPtrNewtype Inscription Source # |
Instance details Defined in GI.Gtk.Objects.Inscription Methods toManagedPtr :: Inscription -> ManagedPtr Inscription Source #
TypedObject Inscription Source # |
Instance details Defined in GI.Gtk.Objects.Inscription Methods glibType :: IO GType Source #
HasParentTypes Inscription Source # |
Instance details Defined in GI.Gtk.Objects.Inscription
IsGValue (Maybe Inscription) Source # | Convert `Inscription` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.Inscription Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Inscription -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Inscription) Source #
type ParentTypes Inscription Source # |
Instance details Defined in GI.Gtk.Objects.Inscription type ParentTypes Inscription = '[Widget, Object, Accessible, AccessibleText, Buildable, ConstraintTarget]

class (GObject o, IsDescendantOf Inscription o) => IsInscription o Source #

Type class for types which can be safely cast to `Inscription`, for instance with `toInscription`.

#### Instances

Instances details

(GObject o, IsDescendantOf Inscription o) => IsInscription o Source # |
Instance details Defined in GI.Gtk.Objects.Inscription

toInscription :: (MonadIO m, IsInscription o) => o -> m Inscription Source #

Cast to `Inscription`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

actionSetEnabled, activate, activateAction, activateDefault, addController, addCssClass, addMnemonicLabel, addTickCallback, allocate, announce, bindProperty, bindPropertyFull, childFocus, computeBounds, computeExpand, computePoint, computeTransform, contains, createPangoContext, createPangoLayout, disposeTemplate, dragCheckThreshold, errorBell, forceFloating, freezeNotify, getv, grabFocus, hasCssClass, hasDefault, hasFocus, hasVisibleFocus, hide, inDestruction, initTemplate, insertActionGroup, insertAfter, insertBefore, isAncestor, isDrawable, isFloating, isFocus, isSensitive, isVisible, keynavFailed, listMnemonicLabels, map, measure, mnemonicActivate, notify, notifyByPspec, observeChildren, observeControllers, pick, queueAllocate, queueDraw, queueResize, realize, ref, refSink, removeController, removeCssClass, removeMnemonicLabel, removeTickCallback, resetProperty, resetRelation, resetState, runDispose, shouldLayout, show, sizeAllocate, snapshotChild, stealData, stealQdata, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unsetStateFlags, updateCaretPosition, updateContents, updateNextAccessibleSibling, updatePlatformState, updateProperty, updateRelation, updateSelectionBound, updateState, watchClosure.

#### Getters

getAccessibleId, getAccessibleParent, getAccessibleRole, getAllocatedBaseline, getAllocatedHeight, getAllocatedWidth, getAllocation, getAncestor, getAtContext, getAttributes, getBaseline, getBounds, getBuildableId, getCanFocus, getCanTarget, getChildVisible, getClipboard, getColor, getCssClasses, getCssName, getCursor, getData, getDirection, getDisplay, getFirstAccessibleChild, getFirstChild, getFocusChild, getFocusOnClick, getFocusable, getFontMap, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHeight, getHexpand, getHexpandSet, getLastChild, getLayoutManager, getLimitEvents, getMapped, getMarginBottom, getMarginEnd, getMarginStart, getMarginTop, getMinChars, getMinLines, getName, getNatChars, getNatLines, getNative, getNextAccessibleSibling, getNextSibling, getOpacity, getOverflow, getPangoContext, getParent, getPlatformState, getPreferredSize, getPrevSibling, getPrimaryClipboard, getProperty, getQdata, getRealized, getReceivesDefault, getRequestMode, getRoot, getScaleFactor, getSensitive, getSettings, getSize, getSizeRequest, getStateFlags, getStyleContext, getTemplateChild, getText, getTextOverflow, getTooltipMarkup, getTooltipText, getValign, getVexpand, getVexpandSet, getVisible, getWidth, getWrapMode, getXalign, getYalign.

#### Setters

setAccessibleParent, setAttributes, setCanFocus, setCanTarget, setChildVisible, setCssClasses, setCursor, setCursorFromName, setData, setDataFull, setDirection, setFocusChild, setFocusOnClick, setFocusable, setFontMap, setFontOptions, setHalign, setHasTooltip, setHexpand, setHexpandSet, setLayoutManager, setLimitEvents, setMarginBottom, setMarginEnd, setMarginStart, setMarginTop, setMarkup, setMinChars, setMinLines, setName, setNatChars, setNatLines, setOpacity, setOverflow, setParent, setProperty, setReceivesDefault, setSensitive, setSizeRequest, setStateFlags, setText, setTextOverflow, setTooltipMarkup, setTooltipText, setValign, setVexpand, setVexpandSet, setVisible, setWrapMode, setXalign, setYalign.

## getAttributes

inscriptionGetAttributes Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m (Maybe AttrList) | Returns: the attribute list

Gets the inscription's attribute list.

Since: 4.8

## getMinChars

inscriptionGetMinChars Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m Word32 | Returns: the min-chars property

Gets the `min-chars` of the inscription.

See the Inscription:minChars property.

Since: 4.8

## getMinLines

inscriptionGetMinLines Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m Word32 | Returns: the min-lines property

Gets the `min-lines` of the inscription.

See the Inscription:minLines property.

Since: 4.8

## getNatChars

inscriptionGetNatChars Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m Word32 | Returns: the nat-chars property

Gets the `nat-chars` of the inscription.

See the Inscription:natChars property.

Since: 4.8

## getNatLines

inscriptionGetNatLines Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m Word32 | Returns: the nat-lines property

Gets the `nat-lines` of the inscription.

See the Inscription:natLines property.

Since: 4.8

## getText

inscriptionGetText Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m (Maybe Text) | Returns: The displayed text

Gets the text that is displayed.

Since: 4.8

## getTextOverflow

inscriptionGetTextOverflow Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m InscriptionOverflow | Returns: the overflow method

Gets the inscription's overflow method.

Since: 4.8

## getWrapMode

inscriptionGetWrapMode Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m WrapMode | Returns: the line wrap mode

Returns line wrap mode used by the inscription.

See `inscriptionSetWrapMode`.

Since: 4.8

## getXalign

inscriptionGetXalign Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m Float | Returns: the xalign property

Gets the `xalign` of the inscription.

See the Inscription:xalign property.

Since: 4.8

## getYalign

inscriptionGetYalign Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> m Float | Returns: the yalign property

Gets the `yalign` of the inscription.

See the Inscription:yalign property.

Since: 4.8

## new

inscriptionNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Maybe Text | `text`: The text to display.
-> m Inscription | Returns: a new `GtkInscription`

Creates a new `GtkInscription` with the given text.

Since: 4.8

## setAttributes

inscriptionSetAttributes Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> Maybe AttrList | `attrs`: a `AttrList`
-> m () |

Apply attributes to the inscription text.

These attributes will not be evaluated for sizing the inscription.

Since: 4.8

## setMarkup

inscriptionSetMarkup Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> Maybe Text | `markup`: The markup to display
-> m () |

Utility function to set the text and attributes to be displayed.

See the Inscription:markup property.

Since: 4.8

## setMinChars

inscriptionSetMinChars Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> Word32 | `minChars`: the minimum number of characters that should fit, approximately
-> m () |

Sets the `min-chars` of the inscription.

See the Inscription:minChars property.

Since: 4.8

## setMinLines

inscriptionSetMinLines Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> Word32 | `minLines`: the minimum number of lines that should fit, approximately
-> m () |

Sets the `min-lines` of the inscription.

See the Inscription:minLines property.

Since: 4.8

## setNatChars

inscriptionSetNatChars Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> Word32 | `natChars`: the number of characters that should ideally fit, approximately
-> m () |

Sets the `nat-chars` of the inscription.

See the Inscription:natChars property.

Since: 4.8

## setNatLines

inscriptionSetNatLines Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> Word32 | `natLines`: the number of lines that should ideally fit
-> m () |

Sets the `nat-lines` of the inscription.

See the Inscription:natLines property.

Since: 4.8

## setText

inscriptionSetText Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> Maybe Text | `text`: The text to display
-> m () |

Sets the text to be displayed.

Since: 4.8

## setTextOverflow

inscriptionSetTextOverflow Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> InscriptionOverflow | `overflow`: the overflow method to use
-> m () |

Sets what to do when the text doesn't fit.

Since: 4.8

## setWrapMode

inscriptionSetWrapMode Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> WrapMode | `wrapMode`: the line wrapping mode
-> m () |

Controls how line wrapping is done.

Since: 4.8

## setXalign

inscriptionSetXalign Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> Float | `xalign`: the new xalign value, between 0 and 1
-> m () |

Sets the `xalign` of the inscription.

See the Inscription:xalign property.

Since: 4.8

## setYalign

inscriptionSetYalign Source #

Arguments

:: (HasCallStack, MonadIO m, IsInscription a) |
=> a | `self`: a `GtkInscription`
-> Float | `yalign`: the new yalign value, between 0 and 1
-> m () |

Sets the `yalign` of the inscription.

See the Inscription:yalign property.

Since: 4.8

# Properties

## attributes

A list of style attributes to apply to the text of the inscription.

Since: 4.8

clearInscriptionAttributes :: (MonadIO m, IsInscription o) => o -> m () Source #

Set the value of the “`attributes`” property to `Nothing`. When overloading is enabled, this is equivalent to

    clear #attributes

constructInscriptionAttributes :: (IsInscription o, MonadIO m) => AttrList -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`attributes`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionAttributes :: (MonadIO m, IsInscription o) => o -> m (Maybe AttrList) Source #

Get the value of the “`attributes`” property. When overloading is enabled, this is equivalent to

    get inscription #attributes

setInscriptionAttributes :: (MonadIO m, IsInscription o) => o -> AttrList -> m () Source #

Set the value of the “`attributes`” property. When overloading is enabled, this is equivalent to

    set inscription [ #attributes := value ]

## markup

Utility property that sets both the Inscription:text and Inscription:attributes properties, mainly intended for use in GtkBuilder ui files to ease translation support and bindings.

This function uses `parseMarkup` to parse the markup into text and attributes. The markup must be valid. If you cannot ensure that, consider using `parseMarkup` and setting the two properties yourself.

Since: 4.8

clearInscriptionMarkup :: (MonadIO m, IsInscription o) => o -> m () Source #

Set the value of the “`markup`” property to `Nothing`. When overloading is enabled, this is equivalent to

    clear #markup

constructInscriptionMarkup :: (IsInscription o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`markup`” property. This is rarely needed directly, but it is used by `new`.

setInscriptionMarkup :: (MonadIO m, IsInscription o) => o -> Text -> m () Source #

Set the value of the “`markup`” property. When overloading is enabled, this is equivalent to

    set inscription [ #markup := value ]

## minChars

The number of characters that should fit into the inscription at minimum.

This influences the requested width, not the width actually given to the widget, which might turn out to be larger.

Note that this is an approximate character width, so some characters might be wider and some might be thinner, so do not expect the number of characters to exactly match.

If you set this property to 0, the inscription will not request any width at all and its width will be determined entirely by its surroundings.

Since: 4.8

constructInscriptionMinChars :: (IsInscription o, MonadIO m) => Word32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`min-chars`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionMinChars :: (MonadIO m, IsInscription o) => o -> m Word32 Source #

Get the value of the “`min-chars`” property. When overloading is enabled, this is equivalent to

    get inscription #minChars

setInscriptionMinChars :: (MonadIO m, IsInscription o) => o -> Word32 -> m () Source #

Set the value of the “`min-chars`” property. When overloading is enabled, this is equivalent to

    set inscription [ #minChars := value ]

## minLines

The number of lines that should fit into the inscription at minimum.

This influences the requested height, not the height actually given to the widget, which might turn out to be larger.

Note that this is an approximate line height, so if the text uses things like fancy Unicode or attribute that influence the height, the text might not fit.

If you set this property to 0, the inscription will not request any height at all and its height will be determined entirely by its surroundings.

Since: 4.8

constructInscriptionMinLines :: (IsInscription o, MonadIO m) => Word32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`min-lines`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionMinLines :: (MonadIO m, IsInscription o) => o -> m Word32 Source #

Get the value of the “`min-lines`” property. When overloading is enabled, this is equivalent to

    get inscription #minLines

setInscriptionMinLines :: (MonadIO m, IsInscription o) => o -> Word32 -> m () Source #

Set the value of the “`min-lines`” property. When overloading is enabled, this is equivalent to

    set inscription [ #minLines := value ]

## natChars

The number of characters that should ideally fit into the inscription.

This influences the requested width, not the width actually given to the widget. The widget might turn out larger as well as smaller.

If this property is set to a value smaller than Inscription:minChars, that value will be used. In particular, for the default value of 0, this will always be the case.

Since: 4.8

constructInscriptionNatChars :: (IsInscription o, MonadIO m) => Word32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`nat-chars`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionNatChars :: (MonadIO m, IsInscription o) => o -> m Word32 Source #

Get the value of the “`nat-chars`” property. When overloading is enabled, this is equivalent to

    get inscription #natChars

setInscriptionNatChars :: (MonadIO m, IsInscription o) => o -> Word32 -> m () Source #

Set the value of the “`nat-chars`” property. When overloading is enabled, this is equivalent to

    set inscription [ #natChars := value ]

## natLines

The number of lines that should ideally fit into the inscription.

This influences the requested height, not the height actually given to the widget. The widget might turn out larger as well as smaller.

If this property is set to a value smaller than Inscription:minLines, that value will be used. In particular, for the default value of 0, this will always be the case.

Since: 4.8

constructInscriptionNatLines :: (IsInscription o, MonadIO m) => Word32 -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`nat-lines`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionNatLines :: (MonadIO m, IsInscription o) => o -> m Word32 Source #

Get the value of the “`nat-lines`” property. When overloading is enabled, this is equivalent to

    get inscription #natLines

setInscriptionNatLines :: (MonadIO m, IsInscription o) => o -> Word32 -> m () Source #

Set the value of the “`nat-lines`” property. When overloading is enabled, this is equivalent to

    set inscription [ #natLines := value ]

## text

The displayed text.

Since: 4.8

clearInscriptionText :: (MonadIO m, IsInscription o) => o -> m () Source #

Set the value of the “`text`” property to `Nothing`. When overloading is enabled, this is equivalent to

    clear #text

constructInscriptionText :: (IsInscription o, MonadIO m) => Text -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`text`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionText :: (MonadIO m, IsInscription o) => o -> m (Maybe Text) Source #

Get the value of the “`text`” property. When overloading is enabled, this is equivalent to

    get inscription #text

setInscriptionText :: (MonadIO m, IsInscription o) => o -> Text -> m () Source #

Set the value of the “`text`” property. When overloading is enabled, this is equivalent to

    set inscription [ #text := value ]

## textOverflow

The overflow method to use for the text.

Since: 4.8

constructInscriptionTextOverflow :: (IsInscription o, MonadIO m) => InscriptionOverflow -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`text-overflow`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionTextOverflow :: (MonadIO m, IsInscription o) => o -> m InscriptionOverflow Source #

Get the value of the “`text-overflow`” property. When overloading is enabled, this is equivalent to

    get inscription #textOverflow

setInscriptionTextOverflow :: (MonadIO m, IsInscription o) => o -> InscriptionOverflow -> m () Source #

Set the value of the “`text-overflow`” property. When overloading is enabled, this is equivalent to

    set inscription [ #textOverflow := value ]

## wrapMode

Controls how the line wrapping is done.

Note that unlike `GtkLabel`, the default here is `WrapModeWordChar`.

Since: 4.8

constructInscriptionWrapMode :: (IsInscription o, MonadIO m) => WrapMode -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`wrap-mode`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionWrapMode :: (MonadIO m, IsInscription o) => o -> m WrapMode Source #

Get the value of the “`wrap-mode`” property. When overloading is enabled, this is equivalent to

    get inscription #wrapMode

setInscriptionWrapMode :: (MonadIO m, IsInscription o) => o -> WrapMode -> m () Source #

Set the value of the “`wrap-mode`” property. When overloading is enabled, this is equivalent to

    set inscription [ #wrapMode := value ]

## xalign

The horizontal alignment of the text inside the allocated size.

Compare this to Widget:halign, which determines how the inscription's size allocation is positioned in the available space.

Since: 4.8

constructInscriptionXalign :: (IsInscription o, MonadIO m) => Float -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`xalign`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionXalign :: (MonadIO m, IsInscription o) => o -> m Float Source #

Get the value of the “`xalign`” property. When overloading is enabled, this is equivalent to

    get inscription #xalign

setInscriptionXalign :: (MonadIO m, IsInscription o) => o -> Float -> m () Source #

Set the value of the “`xalign`” property. When overloading is enabled, this is equivalent to

    set inscription [ #xalign := value ]

## yalign

The vertical alignment of the text inside the allocated size.

Compare this to Widget:valign, which determines how the inscription's size allocation is positioned in the available space.

Since: 4.8

constructInscriptionYalign :: (IsInscription o, MonadIO m) => Float -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`yalign`” property. This is rarely needed directly, but it is used by `new`.

getInscriptionYalign :: (MonadIO m, IsInscription o) => o -> m Float Source #

Get the value of the “`yalign`” property. When overloading is enabled, this is equivalent to

    get inscription #yalign

setInscriptionYalign :: (MonadIO m, IsInscription o) => o -> Float -> m () Source #

Set the value of the “`yalign`” property. When overloading is enabled, this is equivalent to

    set inscription [ #yalign := value ]